#pragma once

#define NUM_PINS 6


// ORDER OF PINS MUST BE
// E, RS, DB4, DB5, DB6, DB7

// Tip: look at https://github.com/derekmolloy/boneDeviceTree/tree/master/docs
//      for these numbers in a convenient table
struct pin {
    // P_11
    char name[16];

    // 13
    int gpio_number;
};

// will allocate memory for the screen. Use screen_deinit to free
// number of pins MUST be 6
void screen_init(struct pin pins[NUM_PINS]);

// free memory used by screen
void screen_deinit(struct pin pins[NUM_PINS]);

void screen_clear(struct pin pins[NUM_PINS]);
void screen_print(struct pin pins[NUM_PINS], char *str, int len, int line);
